com.fasterxml.jackson.dataformat.avro.deser

## Class StructDefaults.ArrayDefaults

- java.lang.Object
- - com.fasterxml.jackson.core.JsonStreamContext
  - - com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext
    - - com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader
      - - com.fasterxml.jackson.dataformat.avro.deser.ArrayReader
        - - com.fasterxml.jackson.dataformat.avro.deser.StructDefaults.ArrayDefaults

- Enclosing class:
    StructDefaults

      protected static class StructDefaults.ArrayDefaults
      extends ArrayReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AvroFieldReader[]` | `_valueReaders`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.ArrayReader

      `_count, _currentName, _elementTypeId, _parser, _state, STATE_DONE, STATE_ELEMENTS, STATE_END, STATE_START`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_currToken`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_currentValue, _parent, _typeId`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `_index, _type, TYPE_ARRAY, TYPE_OBJECT, TYPE_ROOT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayDefaults(AvroReadContext parent, AvroParserImpl parser, AvroFieldReader[] valueReaders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayReader` | `newReader(AvroReadContext parent, AvroParserImpl parser)` Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
    `com.fasterxml.jackson.core.JsonToken` | `nextToken()`
    `void` | `skipValue(AvroParserImpl parser)` Alternative to `AvroStructureReader.nextToken()` which will simply skip the full value.

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.ArrayReader

      `appendDesc, construct, construct, getCurrentName, getRemainingElements, getTypeId, nextFieldName`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroStructureReader

      `_throwUnsupported, consumesNoContent, getCurrentToken, throwIllegalState`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroReadContext

      `_reportError, getCurrentValue, getParent, setCurrentValue, toString`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonStreamContext

      `getCurrentIndex, getEntryCount, getStartLocation, getTypeDesc, hasCurrentIndex, hasCurrentName, hasPathSegment, inArray, inObject, inRoot, pathAsPointer, pathAsPointer, typeDesc`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _valueReaders

          protected final AvroFieldReader[] _valueReaders

  - ### Constructor Detail

    - #### ArrayDefaults

          public ArrayDefaults(AvroReadContext parent,
                               AvroParserImpl parser,
                               AvroFieldReader[] valueReaders)

  - ### Method Detail

    - #### newReader

          public ArrayReader newReader(AvroReadContext parent,
                                       AvroParserImpl parser)

      Description copied from class: `AvroStructureReader`
      Method for creating actual instance to use for reading (initial instance constructed is so-called blue print).
      Specified by:
        `newReader` in class `AvroStructureReader`

    - #### nextToken

          public com.fasterxml.jackson.core.JsonToken nextToken()
                                                         throws IOException

      Specified by:
        `nextToken` in class `AvroStructureReader`
      Throws:
        `IOException`

    - #### skipValue

          public void skipValue(AvroParserImpl parser)
                         throws IOException

      Description copied from class: `AvroStructureReader`
      Alternative to `AvroStructureReader.nextToken()` which will simply skip the full value.
      Specified by:
        `skipValue` in class `AvroStructureReader`
      Throws:
        `IOException`

Copyright © 2019 FasterXML. All rights reserved.